Hero = class()

function Hero:init(x, z)
    self.x, self.y, self.z = x,0,z
    self.px, self.py = math.ceil(.5+x), math.ceil(.5+z)

    self.mdl = Wall("Cargo Bot:Crate Blue 2")
end

function Hero:actualWorldPosition()
    return vec2(self.px - 1, self.py - 1)
end

function Hero:draw()
    self.mdl:draw()
end



